List support packages for a device – Fleets API – MediaKind
List support packages for a device
Get https://app.mk.io/api/v1/projects/:project_name/fleet/devices/:name/supportPackages
Returns up to 5 support packages currently retained in blob storage for the specified device, newest first. The device's current support package operation status is also included.
RBAC Capability Required: fleet.device.get
Authentication
Authorization Bearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
- project_name
stringRequired
- name
stringRequired
Response
200 List of support packages.
@odata.nextLinkstringOptional- @odata.nextLink URL if the page length and number of items match.
- supplemental
objectListResponseSupplementalSchema Required- Supplemental info
- Properties:
- count
integerRequired- Number of items returned
- kind
stringRequired- Type of items in the list
- operation
stringRequired- Operation type. Should always say 'list'
- pagination
objectPaginationInfoSchema Required- Pagination info
- Properties:
- end
integerRequired- Position of the last item in the list
- records
integerRequired- Total number of items returned in the list
- start
integerRequired- Position of the first item in the list
- total
integerRequired- Total number of items in the project
- end
- subscription
objectProjectInfoSchema Optional- Project info
- Properties:
- id
stringRequired- Project ID
- name
stringRequired- Project name
- id
- value
list of objectsSupportPackageListItemSchema Required- List of support packages.
- Properties:
- metadata
objectSupportPackageMetadataSchema Required- Support package metadata.
- Properties:
- created
string or nullOptional- ISO 8601 creation timestamp of the support package.
- description
stringOptional- A description of the support package content.
- device
stringOptional- The device name this package belongs to.
- friendlyName
stringOptional- The human-friendly name of the support package.
- name
stringRequired- The name of the support package.
- size
integer or nullOptional- The size of the support package in bytes.
- created
- metadata
- count
Errors
400 Bad Request
errorobject ErrorDetail Required- Pertinent information about the error
- Properties:
- code
stringRequired
- detail
stringRequired
- extraDetail
map from strings to anyOptional
- ref
stringRequired
- status
integerRequired
- code
401 Unauthorized
- Same structure as above.
403 Forbidden
- Same structure as above.
404 Not Found
- Same structure as above.
429 Too Many Requests
- Same structure as above.
500 Internal Server Error
- Same structure as above.